defmodule LinkShortenerWeb.Api.V1.AccountsJSON do
  alias LinkShortener.Links.Link

  def user(%{user: user, token: token}) do
    %{
      email: user.email,
      token: token
    }
  end

  def sign_out(%{token: token}) do
    %{
      message: "Successfully sign out",
      token: token
    }
  end
end
