defmodule LinkShortener.Factories.UserFactory do
  use ExMachina

  def user_attrs_factory() do
    %{
      email: sequence(:email, &"user-#{&1}@mail.com"),
      password: "some password"
    }
  end

  def create_user() do
    user_attrs_factory()
    |> LinkShortener.AccountsFixtures.user_fixture()
  end
end
